Bug 1265787 - State=<GetDiskInfoWindows> running raised exception: <execution expired>
State=<GetDiskInfoWindows> running raised exception: <execution expired>
Status: CLOSED EOL
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.3.0
All All
unspecified Severity urgent
: GA
: 5.3.6
Assigned To: mkanoor
Dave Johnson
: ZStream
Depends On: 1258648 1265786
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 14:19 EDT by mkanoor
Modified: 2017-02-28 14:44 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1265786
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2015-09-24 10:08:31 EDT
New commit detected on cfme/5.3.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=209ce68716ed6ee4beb2a0e0e280c2dfd1e06ea7

commit 209ce68716ed6ee4beb2a0e0e280c2dfd1e06ea7
Merge: d5dfa33 2c830c6
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Thu Sep 24 09:57:17 2015 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Thu Sep 24 09:57:17 2015 -0400

    Merge branch 'bugzilla_1258648_53z' into '5.3.z'
    
    Automate Method dispatch changes for 5.3
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1265787
    
    Addressed the following issues
    (1) Flush stderr and stdout in separate threads, prior to this it would
    cause deadlock if the stderr was not drained.
    (2) Ensure block makes sure that the Automate method is terminated
    if it doesn't respond by the :msg_timeout specified in the queue.
    This used to leave orphaned processes.
    (3) Terminate the stdout and stderr reading threads in the ensure block.
    
    Added a spec with automate method that writes to stdout/stderr and sleeps
    waiting to be terminated.
    
    Original PR https://github.com/ManageIQ/manageiq/pull/4302
    This MR was created from the 5.4.z MR for the same issue.
    
    Not a clean cherry pick, had to do manual editing
    
    See merge request !264

 .../miq_automation_engine/engine/miq_ae_method.rb  | 119 +++++++++++----------
 .../miq_ae_method_dispatch_spec.rb                 | 110 +++++++++++++++++++
 vmdb/spec/support/automation_spec_helper.rb        |  46 ++++++++
 3 files changed, 218 insertions(+), 57 deletions(-)
Comment 3 Mike McCune 2016-03-28 19:07:19 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Note You need to log in before you can comment on or make changes to this bug.